Subject: Get rid of old watch!

From: " Vpim-owner" <[email-masked] >
Date: Tue, 10 Jul 2007 13:33:32 -0400

Keep up with time – get yourself a top-quality replica timepiece!
The quality of our watches is blameless – and so are our laughable prices!
Just pick up your favorite model by your favorite brand – and save large!
http://slonoima.com